Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::composed< Second, First > Struct Template Reference
Utility
Inheritance diagram for ranges::v3::composed< Second, First >:

## Public Member Functions
| composed (Second second, First first)
template<typename... Ts, typename FirstResultT = invoke_result_t<First&, Ts...>>
auto | operator() (Ts &&...ts) noexcept(noexcept(decltype(composed::do_(std::declval< First & >(), std::declval< Second & >(), std::is_void< FirstResultT >{},(Ts &&) ts...))(composed::do_(std::declval< First & >(), std::declval< Second & >(), std::is_void< FirstResultT >{},(Ts &&) ts...)))) -> decltype(composed::do_(std::declval< First & >(), std::declval< Second & >(), std::is_void< FirstResultT >
template<typename... Ts, typename FirstResultT = invoke_result_t<First const &, Ts...>>
auto | operator() (Ts &&...ts) const noexcept(noexcept(decltype(composed::do_(std::declval< First const & >(), std::declval< Second const & >(), std::is_void< FirstResultT >{},(Ts &&) ts...))(composed::do_(std::declval< First const & >(), std::declval< Second const & >(), std::is_void< FirstResultT >{},(Ts &&) ts...)))) -> decltype(composed::do_(std::declval< First const & >(), std::declval< Second const & >(), std::is_void< FirstResultT >

## Public Attributes
Ts && | ts

## Member Data Documentation

## ◆ ts

template<typename Second , typename First >

Ts && ranges::v3::composed< Second, First >::ts

Initial value:
{
return composed::do_(
first(), second(),
std::is_void<FirstResultT>{},
(Ts &&) ts...)